'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const NavCTA = ({ first, header, links }) => _react2.default.createElement(
  'div',
  { className: `nav-cta ${ first ? 'nav-cta--first' : '' } flex flex--wrap flex--center-all` },
  _react2.default.createElement(
    'h2',
    { className: 'nav-cta__header' },
    header
  ),
  _react2.default.createElement(
    'ul',
    { style: { width: '100%', padding: 0 } },
    links.map((link, i) => _react2.default.createElement(
      'a',
      {
        key: i,
        className: 'nav-cta__a',
        href: link.href },
      _react2.default.createElement(
        'li',
        null,
        _react2.default.createElement(
          'strong',
          null,
          link.text
        )
      )
    ))
  )
);

const { bool, string, shape, arrayOf } = _react2.default.PropTypes;

NavCTA.propTypes = {
  first: bool,
  header: string.isRequired,
  links: arrayOf(shape({
    href: string.isRequired,
    text: string.isRequired
  }))
};

exports.default = NavCTA;