'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _velocityReact = require('velocity-react');

var _section = require('./section');

var _section2 = _interopRequireDefault(_section);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const animation = {
  active: { opacity: 1 },
  inactive: { opacity: 0 }
};

const BottomPanel = ({ isMobile, isOpen, activeSection, sections, midSections }) => _react2.default.createElement(
  'div',
  { className: 'nav-panel-bottom' },
  sections.map((section, i) => _react2.default.createElement(
    'div',
    {
      key: i,
      style: { width: 'inherit' },
      className: !(isMobile && isOpen) && activeSection !== i ? 'nav-panel-bottom__section--inactive' : '' },
    _react2.default.createElement(
      _velocityReact.VelocityComponent,
      {
        animation: isMobile && isOpen || activeSection === i ? animation.active : animation.inactive,
        duration: '300',
        delay: activeSection !== i ? 100 : 0 },
      _react2.default.createElement(_section2.default, _extends({
        count: i,
        midSection: midSections[i]
      }, section))
    )
  ))
);

const { number, bool, string, array } = _react2.default.PropTypes;

BottomPanel.propTypes = {
  activeSection: number,
  isOpen: bool.isRequired,
  isMobile: bool.isRequired,
  environment: string,
  sections: array,
  midSections: array
};

BottomPanel.defaultProps = {
  environment: 'com'
};

exports.default = BottomPanel;