'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _navCta = require('../nav-cta');

var _navCta2 = _interopRequireDefault(_navCta);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Section = ({ newTab, cta, linkLists, midSection, count }) => _react2.default.createElement(
  'div',
  { className: 'nav-panel-bottom__section flex flex--space-between flex--wrap' },
  cta && _react2.default.createElement(_navCta2.default, _extends({ first: count === 0 }, cta)),
  (midSection.link ? [[midSection]] : []).concat(linkLists).map((links, i) => _react2.default.createElement(
    'ul',
    { key: i },
    links.map(({ style, href, bold, link, text, className }, j) => href ? _react2.default.createElement(
      'a',
      {
        key: `${ i }.${ j }`,
        style: style,
        href: href,
        className: className,
        target: newTab ? '_blank' : '_self' },
      _react2.default.createElement(
        'li',
        null,
        bold || link ? _react2.default.createElement(
          'strong',
          null,
          text
        ) : text
      )
    ) : _react2.default.createElement(
      'li',
      { key: `${ i }.${ j }`, className: className },
      bold || link ? _react2.default.createElement(
        'strong',
        null,
        text
      ) : text
    ))
  ))
);

const { array, bool, any, object, number } = _react2.default.PropTypes;

Section.propTypes = {
  linkLists: array,
  newTab: bool,
  cta: any,
  midSection: object,
  count: number
};

Section.defaultProps = {
  linkLists: []
};

exports.default = Section;