'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Section = ({ className, href, text, extraText, isLink, handler }) => _react2.default.createElement(
  'li',
  { className: className },
  _react2.default.createElement(
    'a',
    {
      className: 'font--white',
      href: href,
      onClick: !isLink && handler },
    text,
    extraText && _react2.default.createElement(
      'span',
      { className: 'extra-text' },
      extraText
    )
  )
);

const { string, bool, func } = _react2.default.PropTypes;

Section.propTypes = {
  className: string,
  href: string,
  text: string,
  extraText: string,
  isLink: bool,
  handler: func
};

exports.default = Section;