'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _search = require('./search');

var _search2 = _interopRequireDefault(_search);

var _navIcons = require('../nav-icons');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const TopPanel = ({ host, includeSearch, searchUrl, contactUrl, sections, downloadJmpValue, downloadUrl }) => _react2.default.createElement(
  'div',
  { className: 'nav-panel-top font--center' },
  _react2.default.createElement(
    'ul',
    { className: 'flex flex--space-between', style: { height: '100%' } },
    _react2.default.createElement(
      'div',
      { className: 'nav-panel-top__links flex flex--center-y font--center' },
      sections.map((section, i) => _react2.default.createElement(
        'a',
        {
          key: i,
          className: 'nav-panel-top__a',
          target: section.text === 'Open Source' && host === '' ? '_self' : '_blank',
          href: section.href },
        _react2.default.createElement(
          'li',
          { className: 'nav-panel-top__li' },
          section.text
        )
      ))
    ),
    _react2.default.createElement(
      'div',
      { className: 'flex flex--center-y' },
      _react2.default.createElement(
        'a',
        { href: contactUrl },
        _react2.default.createElement(
          'button',
          {
            className: 'flex flex--center-all flex--wrap nav-panel-top__contact',
            style: includeSearch ? {} : { marginRight: '15px' } },
          _navIcons.contactIcon
        )
      ),
      includeSearch && _react2.default.createElement(_search2.default, { searchUrl: searchUrl }),
      _react2.default.createElement(
        'a',
        {
          className: 'nav-panel-top__a',
          href: `${ host }${ downloadUrl }${ downloadJmpValue === '' ? '' : `?jmp=${ downloadJmpValue }` }`,
          target: host === '' ? '_self' : '_blank' },
        _react2.default.createElement(
          'button',
          { className: `
            btn-small btn-fill btn-fill--light-green
            margin--left-xs nav-panel-top__download
          ` },
          _react2.default.createElement(
            'span',
            { style: { verticalAlign: 'middle' } },
            'Download'
          ),
          _navIcons.downloadIcon
        )
      )
    )
  )
);

const { string, bool, array } = _react2.default.PropTypes;

TopPanel.propTypes = {
  includeSearch: bool,
  searchUrl: string,
  contactUrl: string,
  sections: array,
  host: string.isRequired,
  downloadUrl: string,
  downloadJmpValue: string
};

TopPanel.defaultProps = {
  includeSearch: true,
  searchUrl: '/search?search=',
  contactUrl: '/contact?jmp=nav',
  downloadUrl: '/download-center',
  downloadJmpValue: 'nav'
};

exports.default = TopPanel;