'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _velocityReact = require('velocity-react');

var _navIcons = require('../nav-icons');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class SearchInput extends _react2.default.Component {
  constructor(props) {
    super(props);
    this.state = { isOpen: false };
    this.velocityConfig = {
      duration: 300,
      easing: 'easeOutQuint'
    };

    this.setState = this.setState.bind(this);
    this.onBtnPress = this.onBtnPress.bind(this);
    this.toggle = this.toggle.bind(this);
  }

  componentDidMount() {
    this.links = document.querySelector('.nav-panel-top__links');
  }

  onSearch() {
    const value = encodeURIComponent(this.refs.searchInput.value);
    window.location.href = `${ this.props.searchUrl }${ value }`;
  }

  onBtnPress(e) {
    e.preventDefault();
    e.stopPropagation();

    if (!this.state.isOpen) {
      this.refs.searchInput.focus();
      this.toggle(true);
    } else if (!this.refs.searchInput.value) {
      this.toggle(false);
    } else {
      this.onSearch();
    }
  }

  toggle(isOpen) {
    this.setState({ isOpen });
    this.links.classList.toggle('nav-panel-top__links--hidden', isOpen);
  }

  render() {
    const { isOpen } = this.state;

    return _react2.default.createElement(
      'span',
      { className: 'flex flex--wrap' },
      _react2.default.createElement(
        _velocityReact.VelocityComponent,
        _extends({}, this.velocityConfig, {
          animation: isOpen ? { marginRight: '-35px', opacity: 1 } : { marginRight: '-210px', opacity: 0 } }),
        _react2.default.createElement('input', {
          className: 'input nav-panel-top__input',
          onBlur: () => window.setTimeout(() => this.toggle(false), 50),
          onKeyUp: e => e.keyCode === 13 && this.onSearch(),
          ref: 'searchInput',
          placeholder: 'search' })
      ),
      _react2.default.createElement(
        _velocityReact.VelocityComponent,
        _extends({}, this.velocityConfig, {
          animation: isOpen ? { scale: 0.8 } : { scale: 1 } }),
        _react2.default.createElement(
          'button',
          {
            className: 'flex flex--center-all flex--wrap nav-panel-top__search',
            onClick: this.onBtnPress,
            onTouchStart: this.onBtnPress
          },
          _navIcons.searchIcon
        )
      )
    );
  }
}

exports.default = SearchInput;
const { string } = _react2.default.PropTypes;

SearchInput.propTypes = {
  searchUrl: string
};