import React from 'react'
import NavCTA from '../nav-cta'

const Section = ({ newTab, cta, linkLists, midSection, count }) => (
  <div className='nav-panel-bottom__section flex flex--space-between flex--wrap'>
  { cta && <NavCTA first={ count === 0 } { ...cta } /> }
  { ((midSection.link ? [[midSection]] : []).concat(linkLists)).map((links, i) =>
    <ul key={ i }>
    { links.map(({ style, href, bold, link, text, className }, j) => href
      ? (
        <a
          key={ `${i}.${j}` }
          style={ style }
          href={ href }
          className={ className }
          target={ newTab ? '_blank' : '_self' }>
          <li>
            { bold || link ? <strong>{ text }</strong> : text }
          </li>
        </a>
      ) : (
        <li key={ `${i}.${j}` } className={ className }>
          { bold || link ? <strong>{ text }</strong> : text }
        </li>
      )
    )}
    </ul>
  ) }
  </div>
)

const { array, bool, any, object, number } = React.PropTypes

Section.propTypes = {
  linkLists: array,
  newTab: bool,
  cta: any,
  midSection: object,
  count: number
}

Section.defaultProps = {
  linkLists: []
}

export default Section
