import React from 'react'

const Section = ({ className, href, text, extraText, isLink, handler }) => (
  <li className={ className }>
    <a
      className='font--white'
      href={ href }
      onClick={ !isLink && handler }>
      { text }
      { extraText && <span className='extra-text'>{ extraText }</span> }
    </a>
  </li>
)

const { string, bool, func } = React.PropTypes

Section.propTypes = {
  className: string,
  href: string,
  text: string,
  extraText: string,
  isLink: bool,
  handler: func
}

export default Section
